--[[
GENERATED PROPCASE TABLE
use propcase.lua instead
--]]
return {
  AF_LOCK=11,     -- 0 = AF not locked, 1 = AF locked
  FLASH_SYNC_CURTAIN=64,
  SUBJECT_DIST2=65,
  AV2=22,     -- (philmoz, May 2011) - this value causes overrides to be saved in JPEG and shown on Canon OSD
  AV=23,     -- This values causes the actual aperture value to be overriden
  MIN_AV=25,
  USER_AV=26,
  BRACKET_MODE=29,
  SHOOTING_MODE=49,
  QUALITY=57,
  DIGITAL_ZOOM_MODE=91,     -- Digital Zoom Mode/State 0 = off/standard, 2 = 1.7x, 3 = 2.1x
  DIGITAL_ZOOM_STATE=94,     -- Digital Zoom Mode/State 0 = Digital Zoom off, 1 = Digital Zoom on
  DIGITAL_ZOOM_POSITION=95,
  DRIVE_MODE=102,
  OVEREXPOSURE=103,
  DISPLAY_MODE=105,
  EV_CORRECTION_1=107,
  BV=34,
  DELTA_SV=79,
  FLASH_ADJUST_MODE=121,
  FLASH_FIRE=122,
  FOCUS_MODE=133,
  FLASH_MANUAL_OUTPUT=141,
  FLASH_MODE=143,
  IS_MODE=145,
  ISO_MODE=149,
  REAL_FOCUS_MODE=6,       --??? WIKI|Propcase focus_mode
  FOCUS_STATE=18,      --???
  GPS=359,     -- (CHDKLover, August 2011) - contains a 272 bytes long structure
  AE_LOCK=3,       -- 0 = AE not locked, 1 = AE locked
  AF_FRAME=8,       -- 1 = FlexiZone, 2 = Face AiAF / Tracking AF
  CONTINUOUS_AF=12,      -- 0 = Continuous AF off, 1 = Continuous AF on
  SERVO_AF=299,     -- 0 = Servo AF off, 1 = Servo AF on
  METERING_MODE=157,
  OPTICAL_ZOOM_POSITION=199,
  SHOOTING=210,
  EV_CORRECTION_2=211,
  IS_FLASH_READY=212,
  RESOLUTION=222,     -- 0 = L, 1 = M1, 2 = M2, 4 = S, 7 = Low Light (G12)
  ORIENTATION_SENSOR=223,
  TIMER_MODE=227,
  SUBJECT_DIST1=249,
  SV_MARKET=250,
  SV=347,     -- (philmoz, May 2011) - this value causes overrides to be saved in JPEG and shown on Canon OSD
  TV2=265,     -- (philmoz, May 2011) - this value causes overrides to be saved in JPEG and shown on Canon OSD
  TV=266,     -- Need to set this value for overrides to work correctly
  USER_TV=268,
  WB_ADJ=273,
  ASPECT_RATIO=300,
  STITCH_DIRECTION=237,     -- 0=left>right, 1=right>left. Some cams have more
  STITCH_SEQUENCE=242,     -- counts shots in stitch sequence, positive=left>right, negative=right>left
  ND_FILTER_STATE=196,     -- 0 = out, 1 = in
}
