--[[
GENERATED PROPCASE TABLE
use propcase.lua instead
--]]
return {
  AE_LOCK=3,          -- 0 = AE not locked, 1 = AE locked
  REAL_FOCUS_MODE=6,          --??? WIKI|Propcase focus_mode
  AF_FRAME=8,          -- 1 = FlexiZone, 2 = Face AiAF / Tracking AF
  AF_LOCK=11,         -- 0 = AF not locked, 1 = AF locked
  CONTINUOUS_AF=12,         -- 0 = Continuous AF off, 1 = Continuous AF on
  FOCUS_STATE=18,         --???
  AV2=22,         -- (philmoz, May 2011) - this value causes overrides to be saved in JPEG and shown on Canon OSD
  AV=23,         -- This values causes the actual aperture value to be overriden
  MIN_AV=25,
  USER_AV=26,
  BRACKET_MODE=29,
  BV=34,
  SHOOTING_MODE=49,
  QUALITY=57,
  FLASH_SYNC_CURTAIN=64,
  SUBJECT_DIST2=65,    
  DELTA_SV=79,
  DIGITAL_ZOOM_STATE=94,         -- Digital Zoom Mode/State 0 = Digital Zoom off, 1 = Digital Zoom on
  DIGITAL_ZOOM_POSITION=95,
  DRIVE_MODE=102,
  OVEREXPOSURE=103,
  DISPLAY_MODE=105,
  EV_CORRECTION_1=107,
  FLASH_ADJUST_MODE=121,
  FLASH_FIRE=122,
  FOCUS_MODE=133,
  FLASH_MANUAL_OUTPUT=141,        -- !not sure, but required for compile; from propset4
  FLASH_MODE=143,        -- 0 = Auto, 1 = ON, 2 = OFF
  IS_MODE=145,        -- 0 = Continuous, 2 = only Shoot, 4 = OFF
  ISO_MODE=149,
  METERING_MODE=157,
  ND_FILTER_STATE=196,        -- 0 = out, 1 = in
  OPTICAL_ZOOM_POSITION=199,
  SHOOTING=210,
  EV_CORRECTION_2=211,
  IS_FLASH_READY=212,
  RESOLUTION=222,        -- 0 = L, 1 = M1, 2 = M2, 4 = S, 7 = Low Light
  ORIENTATION_SENSOR=223,
  TIMER_MODE=227,        -- 0 = OFF, 1 = 2 sec, 2 = 10 sec, 3 = Costom
  TIMER_DELAY=228,        -- timer delay in msec
  STITCH_DIRECTION=237,        -- 0=left>right, 1=right>left. Some cams have more
  STITCH_SEQUENCE=242,        -- counts shots in stitch sequence, positive=left>right, negative=right>left
  SUBJECT_DIST1=249,
  SV_MARKET=250,
  TV2=265,        -- (philmoz, May 2011) - this value causes overrides to be saved in JPEG and shown on Canon OSD
  TV=266,        -- Need to set this value for overrides to work correctly
  USER_TV=268,
  WB_ADJ=273,
  SERVO_AF=299,        -- 0 = Servo AF off, 1 = Servo AF on
  ASPECT_RATIO=300,        -- 0 = 4:3, 1 = 16:9, 2 = 3:2, 3 = 1:1
  SV=347,        -- (philmoz, May 2011) - this value causes overrides to be saved in JPEG and shown on Canon OSD
  GPS=358,        -- (CHDKLover, August 2011) - contains a 272 bytes long structure
}
